Bug 174718 - Port x11-wm/fvwm-crystal website
Summary: Port x11-wm/fvwm-crystal website
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-26 15:20 UTC by -
Modified: 2013-02-03 02:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description - freebsd_committer 2012-12-26 15:20:01 UTC
The WWW entry for port x11-wm/fvwm-crystal leads to an unrelated Russian website.
Comment 1 Edwin Groothuis freebsd_committer 2012-12-26 15:20:12 UTC
Maintainer of x11-wm/fvwm-crystal,

Please note that PR ports/174718 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/174718

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-12-26 15:20:13 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 dfilter service freebsd_committer 2013-02-03 02:31:16 UTC
Author: danfe
Date: Sun Feb  3 02:31:02 2013
New Revision: 311449
URL: http://svnweb.freebsd.org/changeset/ports/311449

Log:
  - Fix WWW: line in port description: previous one was cybersquatted by some
    stupid Russian recruiting website
  - While here, convert to OptionsNG and clean up Makefile a bit
  
  PR:		ports/174718
  Approved by:	maintainer timeout

Modified:
  head/x11-wm/fvwm-crystal/Makefile
  head/x11-wm/fvwm-crystal/pkg-descr

Modified: head/x11-wm/fvwm-crystal/Makefile
==============================================================================
--- head/x11-wm/fvwm-crystal/Makefile	Sun Feb  3 00:32:56 2013	(r311448)
+++ head/x11-wm/fvwm-crystal/Makefile	Sun Feb  3 02:31:02 2013	(r311449)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	fvwm-crystal
-# Date created:				11 December 2007
-# Whom:					Giacomo Mariani
-#
+# Created by: Giacomo Mariani <giacomomariani@yahoo.it>
 # $FreeBSD$
-#
 
 PORTNAME=	fvwm-crystal
 PORTVERSION=	3.0.6
@@ -12,7 +8,7 @@ CATEGORIES=	x11-wm
 MASTER_SITES=	http://download.gna.org/fvwm-crystal/${PORTVERSION}/
 
 MAINTAINER=	giacomomariani@yahoo.it
-COMMENT=	Easy, eye-candy, light and powerful virtual wm for X
+COMMENT=	Easy, eye-candy, light, and powerful window manager for X11
 
 RUN_DEPENDS=	fvwm>=2.5:${PORTSDIR}/x11-wm/fvwm2 \
 		bash:${PORTSDIR}/shells/bash
@@ -21,56 +17,60 @@ USE_GMAKE=	yes
 USE_GETTEXT=	yes
 USE_PYTHON=	yes
 MAKE_ENV=	prefix="${PREFIX}" addondir="${DOCSDIR}/addons"
-PORTDOCS=*
+PORTDOCS=	*
 
-MAN1=	ApplicationDatabase.1 CrystalRoxHOWTO.1 FVWMCrystalFAQ.1 \
-	KeyboardBindings.1 MouseBindings.1 Tips.1
+MAN1=		ApplicationDatabase.1 CrystalRoxHOWTO.1 FVWMCrystalFAQ.1 \
+		KeyboardBindings.1 MouseBindings.1 Tips.1
 
-OPTIONS=	ROX "Rox-filer support" on \
-		IMAGEMAGICK "Window thumbnails and screenshots support" on \
-		XSCREENSAVER "Desktop screensaver support" on \
-		TRAYER "Tray/notification area support" on \
-		SUDO "Running text-based applications as superuser" on \
-		HSETROOT "Set the desktop wallpaper" on \
-		CMUS "A music playera" off
+OPTIONS_DEFINE=	ROX IMAGEMAGICK XSCREENSAVER TRAYER SUDO HSETROOT CMUS DOCS
+OPTIONS_DEFAULT=	ROX IMAGEMAGICK XSCREENSAVER TRAYER SUDO HSETROOT
 
-.include <bsd.port.pre.mk>
+ROX_DESC=		Rox-filer file manager support
+IMAGEMAGICK_DESC=	Window thumbnails and screenshots support
+XSCREENSAVER_DESC=	Desktop screensaver support
+TRAYER_DESC=		Tray (notification area) support
+SUDO_DESC=		Run text-based applications as superuser
+HSETROOT_DESC=		Allow to set desktop wallpaper
+CMUS_DESC=		Play music via audio/cmus player
 
-.if defined(WITH_ROX)
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MROX}
 RUN_DEPENDS+=	rox:${PORTSDIR}/x11-fm/rox-filer
 .endif
 
-.if defined(WITH_IMAGEMAGICK)
+.if ${PORT_OPTIONS:MIMAGEMAGICK}
 RUN_DEPENDS+=	display:${PORTSDIR}/graphics/ImageMagick
 .endif
 
-.if defined(WITH_XSCREENSAVER)
+.if ${PORT_OPTIONS:MXSCREENSAVER}
 RUN_DEPENDS+=	xscreensaver:${PORTSDIR}/x11/xscreensaver
 .endif
 
-.if defined(WITH_TRAYER)
+.if ${PORT_OPTIONS:MTRAYER}
 RUN_DEPENDS+=	trayer:${PORTSDIR}/x11/trayer
 .endif
 
-.if defined(WITH_SUDO)
+.if ${PORT_OPTIONS:MSUDO}
 RUN_DEPENDS+=	sudo:${PORTSDIR}/security/sudo
 .endif
 
-.if defined(WITH_HSETROOT)
+.if ${PORT_OPTIONS:MHSETROOT}
 RUN_DEPENDS+=	hsetroot:${PORTSDIR}/graphics/hsetroot
 .endif
 
-.if defined(WITH_CMUS)
+.if ${PORT_OPTIONS:MCMUS}
 RUN_DEPENDS+=	cmus:${PORTSDIR}/audio/cmus
 .endif
 
 post-extract:
-	@cd ${WRKSRC} && ${FIND} . -depth -type d -name .svn -exec ${RM} -rf {} \;
+	@cd ${WRKSRC} && ${FIND} . -depth -type d -name .svn \
+		-exec ${RM} -rf {} \;
 
-.if !defined(NOPORTDOCS)
-EXTRA_PATCHES+=	${FILESDIR}/extra-patch-Makefile
+.if ${PORT_OPTIONS:MDOCS}
+EXTRA_PATCHES=	${FILESDIR}/extra-patch-Makefile
 .else
-EXTRA_PATCHES+=	${FILESDIR}/extra-patch-Makefile_NODOC
+EXTRA_PATCHES=	${FILESDIR}/extra-patch-Makefile_NODOC
 .endif
 
 post-patch:
@@ -85,4 +85,4 @@ scrivi:
 	${ECHO_CMD} ${LOCALBASE}
 	${ECHO_CMD} ${PREFIX}
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/x11-wm/fvwm-crystal/pkg-descr
==============================================================================
--- head/x11-wm/fvwm-crystal/pkg-descr	Sun Feb  3 00:32:56 2013	(r311448)
+++ head/x11-wm/fvwm-crystal/pkg-descr	Sun Feb  3 02:31:02 2013	(r311449)
@@ -7,4 +7,4 @@ aterm, mrxvt or urxvt as terminal emulat
 tools for different functions, like setting a wallpaper or making screen
 shots.
 
-WWW: http://fvwm-crystal.org/
+WWW: http://gna.org/projects/fvwm-crystal/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Alexey Dokuchaev freebsd_committer 2013-02-03 02:32:14 UTC
State Changed
From-To: feedback->closed

Should be fixed now, thanks!